html {
  box-sizing: border-box;
}

*,
*::after,
*::before {
  box-sizing: inherit;
}

ul,
ol {
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol,
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
  display: block;
}

a {
  text-decoration: none;
  color: inherit;
}

input,
button,
textarea,
select {
  font: inherit;
}

button {
  border: none;
  background-color: transparent;
  padding: 0;
  cursor: pointer;
  font-size: inherit;
  color: inherit;
  font-weight: inherit;
  text-transform: inherit;
}

.disable-scroll {
  overflow: hidden;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
}

.compensate-for-scrollbar {
  padding-right: 16px;
}

.menu {
  width: 100%;
  display: flex;
  justify-content: space-between;
  font-weight: 500;
  letter-spacing: -0.045em;
}

.menu__item {
  position: relative;
  width: 199px;
  padding-top: 5px;
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  color: rgba(255, 255, 255, 0.5);
  transition: all 0.3s;
}

.menu__item:hover {
  color: #fff;
}

.menu__item::after {
  content: "";
  display: inline-block;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 7px;
  height: 6px;
  background-image: url(../img/icons/arrow-top.svg);
  background-repeat: no-repeat;
  background-position: center center;
  opacity: 0.5;
  transition: all 0.3s;
}

.menu__item:hover::after {
  opacity: 1;
  transform: rotateX(180deg);
}

.menu__item--active {
  color: #fff;
}

.menu__item--active::after {
  opacity: 1;
  transform: rotateX(180deg);
}

.menu__link {
  position: relative;
  z-index: 10;
  transition: all 0.3s;
}

.menu__link:hover {
  opacity: 0.5;
}

.menu__wrapper {
  position: absolute;
  left: 0;
  min-width: 204px;
  width: max-content;
  max-width: 810px;
  padding-top: 35px;
  visibility: hidden;
  opacity: 0;
  transition: 0.4s ease-in-out;
  overflow: hidden;
  z-index: 1;
}

.menu__submenu {
  display: flex;
  justify-content: end;
  flex-wrap: wrap;
  transform: translateY(-200%);
  transition: 0.4s ease-in-out;
}

.menu__wrapper--right {
  right: 0;
  left: auto;
}

.menu__wrapper--center {
  right: -150%;
  left: auto;
}

.menu__item:hover .menu__wrapper {
  visibility: visible;
  opacity: 1;
}

.menu__item:hover .menu__submenu {
  transform: translateY(0);
}

.menu__subitem {
  padding: 20px;
  margin-right: 2px;
  margin-bottom: 2px;
  width: 200px;
  height: 200px;
  color: #394854;
  background-color: rgba(255, 255, 255, 0.95);
  transition: all .3s ease-in-out;
}

.menu__subitem:hover {
  background-color: rgba(255, 206, 218, 0.8);
}

.menu__subitem-title {
  min-height: 44px;
  display: flex;
  align-items: center;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 20px;
}

.menu__text {
  font-size: 12px;
}

.menu__text p+p {
  margin-top: 15px;
}

.feedback {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 20;
  background-color: rgba(8, 26, 40, 0.95);
  animation: show-left 0.5s ease-in-out;
}

.feedback__inner {
  display: flex;
  align-items: flex-start;
  height: 100vh;
  padding-top: 5%;
}

.feedback__top {
  display: flex;
  align-items: center;
  margin-right: 120px;
  max-width: 690px;
  width: 100%;
  border-bottom: 1px solid rgba(255, 255, 255, 0.5);
}

.feedback__title {
  padding-left: 50px;
  width: 100%;
  font-size: 48px;
  font-weight: 700;
  color: #ffffff;
}

.feedback__title div {
  padding-left: 13%;
  font-size: 18px;
  font-weight: 400;
}

.feedback__exit {
  padding: 50px 50px 50px 0;
  border-right: 1px solid rgba(255, 255, 255, 0.5);
}

.feedback__exit svg path {
  transition: all .3s ease-in-out;
}

.feedback__exit:hover svg path {
  stroke: #660019;
}

.feedback__form {
  max-width: 515px;
}

.feedback__label {
  display: flex;
  align-items: center;
  margin-bottom: 50px;
  padding: 20px 15px 20px 20px;
  max-width: 515px;
  border: 1px solid #FFFFFF;
}

.feedback__label span {
  padding-right: 20px;
  width: 180px;
  border-right: 1px solid #ffffff;
  font-size: 32px;
  color: #ffffff;
}

.feedback__label--textarea {
  display: block;
}

.feedback__label--textarea span {
  display: block;
  width: 100%;
  padding-bottom: 10px;
  margin-bottom: 10px;
  border-bottom: 1px solid #ffffff;
  border-right: none;
}

.feedback__input {
  padding-left: 15px;
  font-size: 24px;
  color: #FFFFFF;
  outline-style: none;
  background-color: transparent;
  border: none;
  transition: all .3s ease-in-out;
}

.feedback__textarea {
  display: block;
  max-width: 515px;
  width: 100%;
  font-size: 24px;
  color: #FFFFFF;
  outline-style: none;
  background-color: transparent;
  border: none;
  transition: all .3s ease-in-out;
  resize: none;
}

.feedback__label:hover {
  background: rgba(255, 255, 255, 0.1);
}


.feedback__label:focus {
  background: rgba(255, 255, 255, 0.2);
}

.invalid {
  border-color: #AB052D;
}

.feedback__btn {
  padding: 12px 20px;
  width: 100%;
  background-color: #AB052D;
  color: #fff;
  transition: all .3s ease-in-out;
}

.feedback__btn:hover {
  background-color: #660019;
}

.feedback__success {
  margin-top: 15px;
  color: #18ab05;
  text-align: center;
}

@media (max-width: 1440px) {

  .feedback__label {
    padding: 15px;
    margin-bottom: 20px;
  }
  .feedback__label span {
    font-size: 26px;
  }
  .feedback__input {
    font-size: 20px;
  }
}
@media (max-width: 1280px) {
  
  .feedback__inner {
    display: block;
  }

  .feedback__top {
    margin-bottom: 30px;
    margin-right: 0;
  }
  
  .feedback__exit {
    padding: 20px 20px 20px 10px;
  }
  
  .feedback__exit svg {
    width: 60px;
    height: 45px;
  }

  .feedback__label {
    margin-bottom: 10px;
  }
}

@media (max-width: 1024px) {
  .compensate-for-scrollbar {
    padding-right: 0;
  }
}

@media (max-width: 768px) {
  .feedback {
    overflow: auto;
  }

  .feedback__inner {
    padding-top: 20px;
  }

  .feedback__title {
    padding-left: 20px;
    font-size: 36px;
  }

  .feedback__label {
    width: 100%;
    padding: 10px;
    line-height: 1;
  }

  .feedback__label span {
    width: 85px;
    padding-right: 10px;
    font-size: 18px;
  }

  .feedback__label--textarea span {
    width: 100%;
  }

  .feedback__textarea {

  }

  .feedback__input {
    width: 100%;
    padding-left: 10px;
    font-size: 18px;
  }
}
/* Accessible text for page semantics and search engines. */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}
